(define-module (glicid packages containers)
               #:use-module (guix)
               #:use-module (guix download)
               #:use-module (guix git-download)
               #:use-module (guix packages)
               #:use-module (guix gexp)
               #:use-module ((guix licenses) #:prefix license:)
               #:use-module ((gnu packages containers) #:prefix gnu:)
               #:use-module (gnu packages linux)
               #:use-module (gnu packages gnupg)
               #:use-module (gnu packages golang)
               #:use-module (gnu packages selinux)
               #:use-module (gnu packages bash)
               #:use-module (gnu packages python)
               #:use-module (gnu packages file-systems)
               #:use-module (gnu packages version-control)
               #:use-module (gnu packages pkg-config)
               #:use-module (guix utils)
               #:use-module (guix build-system gnu))

(define-public podman
               (package
                 (inherit gnu:podman)
                 (name "podman")
                 (version "4.8.2")
                 (source
                   (origin
                     (method git-fetch)
                     (uri (git-reference
                            (url "https://github.com/containers/podman")
                            (commit (string-append "v" version))))
                     (sha256 (base32 "1nrqcg289d6d8flli8ybgh79nh2h8wvhqsyzi88jsqcn6w5c4bim"))
                     (modules '((guix build utils)))
                     (snippet '(begin 
                                 (substitute* "Makefile" (("all: binaries docs") "all: binaries"))
                                 (substitute* "Makefile" (("install: install.bin install.remote install.man install.systemd") "install: install.bin install.remote install.systemd"))))))
                 (inputs `(("fuse-overlayfs" ,fuse-overlayfs) ,@(package-inputs gnu:podman)))
                 (native-inputs (list bats git go-1.20 pkg-config python))
                 (propagated-inputs (list fuse-overlayfs gnu:slirp4netns iptables))
                 ))
